# Mempool Acceptance Test

This endpoint lets you run a mempool acceptance test to check if the mempool will accept the serialized hex-encoded raw transaction

## POST /v1/rpc/bitcoin/testmempoolaccept

> Forward to RPC using testmempoolaccept method.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/rpc/bitcoin/testmempoolaccept":{"post":{"tags":["Bitcoin RPC"],"description":"Forward to RPC using testmempoolaccept method.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"txList":{"type":"array","items":{"description":"Raw transaction hex to be checked with testmempoolaccept method.","type":"string"}},"maxFeeRate":{"default":0.1,"type":"number"}},"required":["txList"]}}},"required":true},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"array","items":{"type":"object","properties":{"txid":{"type":"string"},"wtxid":{"type":"string"},"allowed":{"type":"boolean"},"vsize":{"type":"number"},"fees":{"type":"object","properties":{"base":{"type":"number"}},"required":["base"]},"rejectReason":{"type":"string"},"packageError":{"type":"string"}},"required":["txid","wtxid"]}}},"required":["result"]}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string"},"code":{"type":"number"}},"required":["message","code"]}},"required":["error"]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/bitcoin/node-and-mempool/mempool-acceptance-test.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
